Obtener una cuenta por NIT
curl --request GET \
--url https://api.fegora.com/cuenta/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fegora.com/cuenta/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fegora.com/cuenta/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "12345678",
"idCanal": 1,
"canal": {
"id": 1,
"nombre": "API",
"nombreCorto": "api"
},
"idCertificador": "12345678",
"certificador": {
"id": "12345678"
},
"tieneCertificado": true,
"direccionCorreoElectronico": "ventas@ejemplo.com.gt",
"direccionWeb": "ejemplo.com.gt",
"telefonos": "2222-1155, 5555-6654",
"logoUri": "https://cdn.fegora.com/imagenes/12345678_logo.png",
"slogan": "De todo para todos",
"emiteFacturas": true,
"recibeFacturas": false,
"estaEnAmbienteDePruebas": false,
"monedaPorDefecto": "GTQ",
"tipoDocumentoPorDefecto": "factura",
"tipoProductoPorDefecto": "bien",
"unidadMedidaPorDefecto": "uni",
"informacionFiscal": {
"id": "12345678",
"nombre": "DISTRIBUIDORA DETODO, SOCIEDAD ANONIMA",
"nombreComercial": "DETODO",
"afiliacionIva": "GENERAL",
"afiliacionIsr": "ISR_OPCIONAL_SIMPLIFICADO_SOBRE_INGRESOS_ACTIVIDADES_LUCRATIVAS",
"codigoEstablecimiento": "1",
"esExentoIva": false,
"esRetenedorIva": true,
"direccion": {
"direccion": "Ruta 8 3-65 Zona 4 Guatemala",
"municipio": "Guatemala",
"departamento": "Guatemala",
"codigoPostal": "01004",
"pais": "GT"
}
},
"establecimientos": [],
"datosAdicionales": [],
"plantillasPdf": [],
"plantillasMensajeCorreoElectronico": [],
"usuarios": []
}{
"codigo": "FEG_UNAUTHORIZED",
"mensaje": "No está autorizado para acceder a este recurso",
"masInformacion": "https://developer.fegora.com",
"severidad": 2
}{
"error": "La cuenta que solicita no existe o no tiene permisos suficientes para obtenerla"
}Cuentas
Obtener una cuenta por NIT
GET
https://api.fegora.com
/
cuenta
/
{id}
Obtener una cuenta por NIT
curl --request GET \
--url https://api.fegora.com/cuenta/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fegora.com/cuenta/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fegora.com/cuenta/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "12345678",
"idCanal": 1,
"canal": {
"id": 1,
"nombre": "API",
"nombreCorto": "api"
},
"idCertificador": "12345678",
"certificador": {
"id": "12345678"
},
"tieneCertificado": true,
"direccionCorreoElectronico": "ventas@ejemplo.com.gt",
"direccionWeb": "ejemplo.com.gt",
"telefonos": "2222-1155, 5555-6654",
"logoUri": "https://cdn.fegora.com/imagenes/12345678_logo.png",
"slogan": "De todo para todos",
"emiteFacturas": true,
"recibeFacturas": false,
"estaEnAmbienteDePruebas": false,
"monedaPorDefecto": "GTQ",
"tipoDocumentoPorDefecto": "factura",
"tipoProductoPorDefecto": "bien",
"unidadMedidaPorDefecto": "uni",
"informacionFiscal": {
"id": "12345678",
"nombre": "DISTRIBUIDORA DETODO, SOCIEDAD ANONIMA",
"nombreComercial": "DETODO",
"afiliacionIva": "GENERAL",
"afiliacionIsr": "ISR_OPCIONAL_SIMPLIFICADO_SOBRE_INGRESOS_ACTIVIDADES_LUCRATIVAS",
"codigoEstablecimiento": "1",
"esExentoIva": false,
"esRetenedorIva": true,
"direccion": {
"direccion": "Ruta 8 3-65 Zona 4 Guatemala",
"municipio": "Guatemala",
"departamento": "Guatemala",
"codigoPostal": "01004",
"pais": "GT"
}
},
"establecimientos": [],
"datosAdicionales": [],
"plantillasPdf": [],
"plantillasMensajeCorreoElectronico": [],
"usuarios": []
}{
"codigo": "FEG_UNAUTHORIZED",
"mensaje": "No está autorizado para acceder a este recurso",
"masInformacion": "https://developer.fegora.com",
"severidad": 2
}{
"error": "La cuenta que solicita no existe o no tiene permisos suficientes para obtenerla"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Cuenta encontrada.
Cuenta emisora/receptora. El país de operación de la cuenta (Guatemala, El Salvador o República Dominicana) se define en informacionFiscal.direccion.pais y en la configuración del certificador — no hay un campo único de "país de la cuenta".
NIT (o RNC en República Dominicana) de la cuenta.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Si la cuenta tiene un certificado de firma (.pfx) configurado. El certificado y su clave nunca se devuelven.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes